tzselect(8)

NOME
tzselect - seleziona un fuso orario

SINTASSI
tzselect [ -c coord ] [ -n limite ] [ --help ] [ --version ]

DESCRIZIONE
Il programma tzselect pone domande all'utente sulla sua posizione geografica, e dà in risposta sullo standard output la descrizione del fuso orario: questa risposta può essere utilizzata come valore della variabile ambientale TZ.

Ogni interazione con l'utente è fatta tramite standard input e standard error.

OPZIONI

-c coord
    Anziché richiedere di scegliere un continente, poi un paese e poi un città, richiede di selezionare una zona di fuso orario le cui città più importanti sono più vicine alla località con le coordinate geografiche coord. Usare la notazione ISO 6709 per coord,, cioè latitudine immediatamente seguita dalla longitudine. Latitudine e longitudine dovrebbero essere interi con segno seguiti opzionalmente da un separatore decimale e da parte decimale: numeri positivi rappresentano nord ed est, quelli negativi sud e ovest. Latitudini con due cifre e longitudini con tre cifre sono considerate in gradi; latitudini con quattro o sei cifre e longitudini con cinque o sette cifre di numeri interi sono considerate come DDMM, DDDMM, DDMMSS, o DDDMMSS che rappresentano, DD o DDD gradi, MM minuti, e zero o SS secondi, con eventuali numeri frazionari finali che rappresentano frazioni di minuto o (se è presente SS) frazioni di secondo. Il separatore decimale è quello della localizzazione corrente. Per esempio, nella localizzazione (predefinita) C -c +40.689-074.045 specifica 40.689°N, 74.045°W, -c +4041.4-07402.7 specifica 40°41.4′N, 74°2.7′W, e -c +404121-0740240 specifica 40°41′21″N, 74°2′40″W. Se coord non è una delle forme documentate, il comportamento risultante è indeterminato.

-n limite
    Quando si usa -c, mostra le limite località più vicine (predefinito: 10 località).

--help
    Visualizza le iniformazioni di aiuto (help) ed esce.

--version
    Mostra le informazioni sulla versione ed esce.

VARIABILI D'AMBIENTE

AWK Nome di un programma awk conforme a POSIX (predefinito: awk).

TZDIR
    Directory contenente i dati sui fusi orari (predefinita: /usr/share/zoneinfo).

FILE

TZDIR/iso3166.tab
    Tabella di codici ISO 3166 a due lettere e nomi di nazioni.

TZDIR/zone1970.tab
    Tabella di codici nazione, latitudini, longitudini, valori TZ e spiegazioni varie.

TZDIR/TZ
    Dati sui fusi orari per timezone TZ.

STATO DI USCITA
Lo stato d'uscita è zero se una zona di fuso orario è stata ottenuta con successo dall'utente, diverso da zero altrimenti.

VEDERE ANCHE
newctime(3), tzfile(5), zdump(8), zic(8)

NOTE
Le applicazioni non devono presumere che l'output di tzselect trovi corrispondenze con zone di fuso orario definite per scelte politiche.

TRADUZIONE
La traduzione italiana di questa pagina di manuale è stata creata da Ottavio G. Rizzo <rizzo@pluto.linux.it>, Giulio Daprelà <giulio@pluto.it>, Elisabetta Galli <lab@kkk.it>, Marco Curreli <marcocurreli@tiscali.it> e Giuseppe Sacco <eppesuig@debian.org>

Questa traduzione è documentazione libera; leggere la GNU General Public License Versione 3 (https://www.gnu.org/licenses/gpl-3.0.html) o successiva per le condizioni di copyright. Non ci assumiamo alcuna responsabilità.

Per segnalare errori nella traduzione di questa pagina di manuale inviare un messaggio a pluto-ildp@lists.pluto.it.